# Generated by Django 5.0.6 on 2024-05-10 21:19

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('votes', '0005_alter_poll_options'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='poll',
            name='author',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='poll',
            name='real_time',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='poll',
            name='suggest_until',
            field=models.DateTimeField(blank=True, default=None, null=True),
        ),
        migrations.AddField(
            model_name='poll',
            name='vote_until',
            field=models.DateTimeField(blank=True, default=None, null=True),
        ),
        migrations.AlterField(
            model_name='option',
            name='author',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='option',
            name='title',
            field=models.CharField(max_length=256),
        ),
        migrations.AlterUniqueTogether(
            name='option',
            unique_together={('poll', 'title')},
        ),
    ]
